Summary: Doom as a System Administration Tool.
Name: doomsysadmin
Version: .60
Release: 1
Copyright: GPL
Group: Utilities/Administration
Source: www.geocities.com:/doomhack/doomsysadmin-.60.tar
%description
This program allows users to connect to "administer" either local linux
boxes or remote windows boxes, using Doom as a front end.

%prep
%setup

%pre
echo "You need to download the sharewared doom wad file:"
echo "ftp://ftp.idsoftware.com/idstuff/doom/doom-1.8.wad.gz"
echo "Or:\n"
echo "http://www.doomworld.com/cgi-bin/download.pl?dir=ports/&filename=shareware_doom_iwad.zip&dl=local"
echo "Rename to doom1.wad and move to /usr/local/games/xdoom/"

%build
cd xdoomsrc
make linux-x86
make linux-x86-svga

%install
cd xdoomsrc
make install-linux-x86
make install-linux-x86-svga
cd ..
install -D -m 755 -o 0 -g 0 setup.conf /usr/local/games/xdoom/setup.conf
install -D -m 644 -o 0 -g 0 setup.conf /usr/local/games/xdoom/SETUP.HOWTO.README
install -D -m 644 -o 0 -g 0 INSTALL /usr/doc/doomsysadmin-.60/INSTALL
install -D -m 644 -o 0 -g 0 README.1st /usr/doc/doomsysadmin-.60/README.1st
install -D -m 644 -o 0 -g 0 README /usr/doc/doomsysadmin-.60/README
install -D -m 644 -o 0 -g 0 README.no-read-me-first! /usr/doc/doomsysadmin-.60/README.no-read-me-first!
install -D -m 644 -o 0 -g 0 ChangeLog /usr/doc/doomsysadmin-.60/ChangeLog

%doc INSTALL README.1st README README.no-read-me-first! ChangeLog

%files

/usr/local/games/xdoom/musserver.bin
/usr/local/games/xdoom/sndserver
/usr/local/games/xdoom/xdoom.wad      
/usr/local/games/xdoom/musserver
/usr/local/games/xdoom/setup.conf
/usr/local/games/xdoom/xdoom       
/usr/local/games/xdoom/SETUP.HOWTO.README
/usr/doc/doomsysadmin-.60/INSTALL
/usr/doc/doomsysadmin-.60/README.1st
/usr/doc/doomsysadmin-.60/README
/usr/doc/doomsysadmin-.60/README.no-read-me-first!
/usr/doc/doomsysadmin-.60/ChangeLog
